Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000018OpenIVTools - Drawable Models Viewerpublic2011-03-13 00:412011-07-02 21:42
ReporterX-Driver 
Assigned ToGooD-NTS 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOLD PCOSWindows XP (x32)OS Version5.1.2600
Product Version0.9.1 (build 240) 
Target Version0.9.2 (build 250)Fixed in Version0.9.2 (build 250) 
Summary0000018: Sometimes WDR/WDD/WFT Viewer not working
DescriptionВремя: "00:31:52"
Тип: "EListError"
Сообщение: "Item not found"

Дополнительная информация:
  Address: "0x007D5455"
  Procedure: "RenderFramework.Shaders.{Generics.Collections}TDictionary<System.string,RenderFramework.Shaders.CShader>.GetItem"
  Unit: "..\..\..\..\RenderFramework\RenderFramework.Shaders.pas", Line: "209"

Stack:
[007D5450] RenderFramework.Shaders.{Generics.Collections}TDictionary<System.string,RenderFramework.Shaders.CShader>.GetItem (Line 209, "..\..\..\..\RenderFramework\RenderFramework.Shaders.pas" + 0) + $1561
[0080BF24] UI.DrawableViewer.Render.CDXDrawableRender.OnRenderFrame (Line 484, "..\Common\UI\DrawableViewer\UI.DrawableViewer.Render.pas" + 21) + $B
[007BB908] RenderFramework.CFramework.OnRenderFrame (Line 280, "..\..\..\..\RenderFramework\RenderFramework.pas" + 24) + $12
[007BB9FB] RenderFramework.CFramework.OnResize (Line 300, "..\..\..\..\RenderFramework\RenderFramework.pas" + 7) + $2
[00487321] Controls.TControl.Resize + $15
[0048C647] Controls.TWinControl.AlignControls + $16F
[00520BB6] Forms.TScrollingWinControl.AlignControls + $16
[0048F2D3] Controls.TWinControl.WMSize + $63
[00489AC8] Controls.TControl.WndProc + $2D4
[0048E38C] Controls.TWinControl.WndProc + $568
[00522E38] Forms.TCustomForm.WndProc + $594
[0061AA1D] UI.Aero.Window.TBaseAeroWindow.AEROWindowProc (Line 293, "UI.Aero.Window.pas" + 4) + $5
[004538D0] Classes.StdWndProc + $14
[0048E48C] Controls.TWinControl.DefaultHandler + $D8
Steps To Reproduce1 - отредактирован архив с текстурой и сохранен (lagus.wtd)
2 - попытка открыть WDR файл для проверки текстуры (gp_lagunaseca05.wdr)
3 - появление ошибки
Additional InformationПроизошло с модом Laguna Seca IV
TagsNo tags attached.
GameGTA IV
Attached Files

- Relationships

-  Notes
There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2011-03-13 00:41 X-Driver New Issue
2011-03-13 00:41 X-Driver Status new => assigned
2011-03-13 00:41 X-Driver Assigned To => GooD-NTS
2011-03-13 00:42 X-Driver Issue Monitored: X-Driver
2011-03-14 15:59 GooD-NTS Severity text => major
2011-03-14 15:59 GooD-NTS Status assigned => confirmed
2011-03-14 15:59 GooD-NTS Category General (Общая) => Tools - WDR Models viewer
2011-03-14 15:59 GooD-NTS Summary Окно с ошибкой => Sometimes WDR Viewer not working with custom models on Windows XP
2011-03-14 16:04 GooD-NTS Target Version => 0.9.2 (build 250)
2011-03-16 11:22 GooD-NTS Status confirmed => closed
2011-03-16 11:22 GooD-NTS Resolution open => fixed
2011-03-16 11:22 GooD-NTS Fixed in Version => 0.9.2 (build 250)
2011-03-17 22:05 GooD-NTS Summary Sometimes WDR Viewer not working with custom models on Windows XP => Sometimes WDR/WDD/WFT Viewer not working
2011-03-19 09:59 Knopik Issue Monitored: Knopik
2011-03-19 16:52 Darkness Issue Monitored: Darkness
2011-04-02 19:26 kinginexile2 Issue Monitored: kinginexile2
2011-04-16 07:16 tomas Issue Monitored: tomas
2011-04-22 15:48 aaa Tag Attached: aaa
2011-07-02 21:42 GooD-NTS Tag Detached: aaa
2014-09-10 13:11 GooD-NTS Category Tools - WDR Models viewer => Tools - Drawable Models Viewer


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker